<?php
include("../db.php");
$requestData= $_REQUEST;
$s = $_POST['s'];
$e = $_POST['e'];
$columns = array( 
	0 =>  'name_cus',
	1 =>  'id_scanner',
    2 =>  'name_emp',
    3 =>  'date_table',
    4 =>  'date'
);

$sql = "
SELECT * FROM `table_day` left join `cus` on `cus`.`id_cus` = `table_day`.`id_cus` left join `emp` on `emp`.`id_emp` = `table_day`.`id_user` where `table_day`.`date_table` BETWEEN '$s' and '$e'
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `table_day` left join `cus` on `cus`.`id_cus` = `table_day`.`id_cus` left join `emp` on `emp`.`id_emp` = `table_day`.`id_user` where `table_day`.`date_table` BETWEEN '$s' and '$e'
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_cus LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR id_scanner LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR name_emp LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR date_table LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR date LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 
	$nestedData[] = $row["name_cus"];
	$nestedData[] = $row["id_scanner"];
	$nestedData[] = $row["name_emp"];
	$nestedData[] = $row["date_table"];
	$nestedData[] = $row["date"];
	
	$data[] = $nestedData;
}



$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



